package com.schbrain.web;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.otter.canal.protocol.CanalEntry;
import com.schbrain.bean.User;
import com.schbrain.canal.client.annotation.TableFilter;
import com.schbrain.canal.client.event.SimpleResolverCanalEvent;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author zhuyf
 * @date 2022/6/16
 */
//@Service("myCanalEvent4")
//@TableFilter(table = "wechat_user",schame = "kp_user")
@Slf4j
public class MyCanalEvent4 extends SimpleResolverCanalEvent<User> {

    @Override
    public void onInsert(CanalEntry.Header header, User user) {
        String s = JSONObject.toJSONString(user);
        log.info("onInsert：{}",s);
    }

    @Override
    public void onUpdate(CanalEntry.Header header, User before, User after) {
        String s = JSONObject.toJSONString(before);
        String b = JSONObject.toJSONString(after);
        log.info("onUpdate,before:{},after:{}",s,b);
    }

    @Override
    public void onDelete(CanalEntry.Header header, User user) {
        String s = JSONObject.toJSONString(user);
        log.info("onDelete：{}",s);
    }
}
