package com.schbrain.canal.client.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * table filter
 * @author zhuyf
 * @date 2022/6/16
 */
@Target(ElementType.TYPE)
@Retention(value = RetentionPolicy.RUNTIME)
public @interface TableFilter {
    /**
     * 表名称
     * @return
     */
    String table() default "";

    /**
     * 数据库名称
     * @return
     */
    String schame() default "";

}
