package com.schbrain.web;

import com.alibaba.otter.canal.protocol.CanalEntry;
import com.schbrain.canal.client.annotation.TableFilter;
import com.schbrain.canal.client.event.DefCanalEvent;
import org.springframework.stereotype.Service;

/**
 * @author zhuyf
 * @date 2022/6/16
 */
@Service("myCanalEvent")
@TableFilter(table = "wechat_user",schame = "kp_user")
public class MyCanalEvent implements DefCanalEvent {

    @Override
    public void onInsert(CanalEntry.Header header, CanalEntry.RowData rowData) {
        System.out.println("======"+header.getSchemaName()+":"+header.getTableName()+":"+"insert");
    }

    @Override
    public void onUpdate(CanalEntry.Header header, CanalEntry.RowData rowData) {
        System.out.println("======"+header.getSchemaName()+":"+header.getTableName()+":"+"update");
    }

    @Override
    public void onDelete(CanalEntry.Header header, CanalEntry.RowData rowData) {
        System.out.println("======"+header.getSchemaName()+":"+header.getTableName()+":"+"delete");
    }
}
