package com.schbrain.web;

import com.alibaba.otter.canal.protocol.CanalEntry;
import com.schbrain.canal.client.annotation.CanalEventListener;
import com.schbrain.canal.client.annotation.InsertListenPoint;
import com.schbrain.canal.client.annotation.UpdateListenPoint;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author zhuyf
 * @date 2022/6/16
 */
//@CanalEventListener
public class MyCanalEvent3 {

    @Autowired
    private UserService userService;

    @InsertListenPoint(destination = "kp_user",schema = {"kp_user"},table={"wechat_user"})
    public void onInsert(CanalEntry.Header header, CanalEntry.RowData rowData) {
        String user = userService.getUser();
        System.out.println("MyCanalEvent3======"+header.getSchemaName()+":"+header.getTableName()+":"+"onInsert,user:+"+user);
    }

    @UpdateListenPoint(destination = "kp_user",schema = {"kp_user"},table={"wechat_user"})
    public void onUpdate(CanalEntry.Header header, CanalEntry.RowData rowData) {
        System.out.println("MyCanalEvent3======"+header.getSchemaName()+":"+header.getTableName()+":"+"onUpdate");
    }
}
